Description: Mark intention fallthroughs for i386 codepaths
Author: James Page <james.page@ubuntu.com>
Forwarded: https://github.com/facebook/rocksdb/pull/2700

--- a/src/rocksdb/util/murmurhash.cc
+++ b/src/rocksdb/util/murmurhash.cc
@@ -113,8 +113,8 @@ unsigned int MurmurHash2 ( const void *
 
     switch(len)
     {
-    case 3: h ^= data[2] << 16;
-    case 2: h ^= data[1] << 8;
+    case 3: h ^= data[2] << 16; // fallthrough
+    case 2: h ^= data[1] << 8; // fallthrough
     case 1: h ^= data[0];
         h *= m;
     };
